package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterUserRoutes(api fiber.Router, f *facade.Facade) {

	users := api.Group("/v1/web/users")
	users.Get("/getallusers", f.UserController.GetAllUsers)
	users.Get("/getusers", f.UserController.GetUserInfo)
	users.Post("/applogin", f.UserController.AppLogin)
	users.Post("/create", f.UserController.CreateUser)
	users.Post("/tenant/weblogin", f.UserController.TenantWebLogin)
	users.Put("/update", f.UserController.UpdateStaff)
	users.Delete("/delete", f.UserController.DeleteUser)

	users = api.Group("/v1/mob/users")
	users.Post("/tenant/login", f.UserController.Login)
	users.Get("/getusers", f.UserController.GetUserInfo)
	users.Post("/create", f.UserController.CreateUser)
	users.Put("/update", f.UserController.UpdateStaff)
}
